Bug 133265 - [UI] Please increase the 'needs save' indicator visibility
Summary: [UI] Please increase the 'needs save' indicator visibility
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.2.2 release
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2020-05-22 07:08 UTC by Luke Kendall
Modified: 2020-05-26 11:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
PNG screenshot, not especially narrow window (70.03 KB, image/png)
2020-05-22 07:08 UTC, Luke Kendall
Details
PNG screenshot showing the issue really (66.73 KB, image/png)
2020-05-22 09:00 UTC, Luke Kendall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Kendall 2020-05-22 07:08:33 UTC
Created attachment 161117 [details]
PNG screenshot, not especially narrow window

If you make the document window smaller (e.g. if you want to edit several on screen at the same time), arguably the most important indicator on the bottom of the window soon vanishes: the one indicating whether the document needs top be saved or not.

Could it please be given a much higher priority, shifting it much nearer the left margin?

Thanks for considering.

See attached screenshot of the missing indicator.
Comment 1 Luke Kendall 2020-05-22 07:09:34 UTC
Sorry, "needs to be", not "needs top be".
Comment 2 Ming Hua 2020-05-22 08:31:41 UTC
It's not going to help if you are customed of checking the infobar/statusbar, but there is indeed another "needs save" indicator that's still visible even after you narrow the window -- the "save" icon on the toolbar at the top.

In your screenshot (looks like Elementary icon theme), it's the white square icon with a downward blue arrow in it.  If your document is modified and needs saving, the color of the arrow turns red.  Other icon themes show it differently, but the save icon changes for all of them (i.e. showing two different icons depending on the document status).
Comment 3 Rizal Muttaqin 2020-05-22 08:54:11 UTC
If you g(In reply to Ming Hua from comment #2)
> 
> In your screenshot (looks like Elementary icon theme), it's the white square
> icon with a downward blue arrow in it.  If your document is modified and
> needs saving, the color of the arrow turns red.  Other icon themes show it
> differently, but the save icon changes for all of them (i.e. showing two
> different icons depending on the document status).

You are right. 

For this elementary icon case, sometime I feel the save state with only changing color has visibility issue which make it less prominent to user than other icons which has an right bottom depicted indicator. Please feel free to suggest your idea.
Comment 4 Luke Kendall 2020-05-22 09:00:15 UTC
Created attachment 161123 [details]
PNG screenshot showing the issue really

I apologise, I forgot that I had widened the windows so the Save indicator appeared.
I attach a fresh screenshot that really shows the problem.

It's good to know there's another indicator - the colour of the Save icon at the top.

My suggestion though is to move it so it's the leftmost indicator displayed, before even the "Page N of M" text. I think it's the most important indicator.
Comment 5 Heiko Tietze 2020-05-25 10:15:25 UTC
There is no such thing as priority as introduced for the Notebookbar. But the SB sections can be mandatory. When shrinking the window width, it starts with the first section from left that has set mandatory to false and continues. If one of the following sections is very large, eg. a telling page style, it might be shown again if this section is hidden. Anyway, the indicator will be shown now; patch submitted.
Comment 6 Luke Kendall 2020-05-25 12:18:39 UTC
By "priority" I should perhaps have said "likelihood of being visible".
In other words, probably move it to the left so it's still visible even if the user narrows the window.
Comment 7 Commit Notification 2020-05-25 18:11:39 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/194538345691272bf9d7c642f069cc1061a0b4d9

Resolves tdf#133265 - Save state indicator must not be hidden

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-05-26 10:51:12 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4659c2fd1972156bbd834d7f3e7bc8741aace684

Revert "Resolves tdf#133265 - Save state indicator must not be hidden"

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.